// 任务列表表头数据
const tableColumn = [
  {
    label: "项目名称",
    prop: "projectName",
    tooltip: true,
  },
  {
    label: "优先级",
    prop: "level",
    tooltip: true,
    width: "90px",
  },
  {
    label: "预计工时",
    prop: "hour",
    tooltip: true,
    width: "100px",
  },
  {
    label: "任务内容",
    prop: "content",
    tooltip: true,
  },
  {
    label: "是否完成",
    prop: "isOverName",
    tooltip: true,
    width: "100px",
  },
  {
    label: "要求完成日期",
    prop: "overDate",
    tooltip: true,
    width: "150px",
  },
  {
    label: "审核结果",
    prop: "aPersonName",
    tooltip: true,
    width: "100px",
  },
];
//任务详情表单
const taskFormRow = [
  {
    elCol: [
      {
        label: "项目名称",
        prop: "projectName",
        tag: "elInput",
        placeholder: "双击右侧任务自动带入",
        disabled: true,
      },
    ],
  },
  {
    elCol: [
      {
        label: "要求时间",
        prop: "overDate",
        tag: "elDatePicker",
        placeholder: "双击右侧任务自动带入",
        disabled: true,
      },
    ],
  },
  {
    elCol: [
      {
        label: "",
        prop: "level",
        tag: "elRadio",
        disabled: true,
        options: [
          { label: "加急", value: 1 },
          { label: "优先", value: 2 },
          { label: "正常", value: 3 },
        ],
      },
    ],
  },
  {
    elCol: [
      {
        label: "预计工时",
        prop: "hour",
        tag: "elInput",
        placeholder: "双击右侧任务自动带入",
        disabled: true,
      },
    ],
  },
];
export default {
  tableColumn, //
  taskFormRow,
};
