// 搜索配置
const searchModelJson = [

]
// 页面操作按钮配置
const fucDataJson = [{
		name: '导出',
		type: 'danger',
		icon: 'el-icon-position'
	},

]
// 表头配置
const tableColumnJson = [
	{
		label: '项目编号',
		prop: 'billCode',
		tooltip: true,
		width:'100'
	},
	{
		label: '项目名称',
		prop: 'projectName',
		tooltip: true,
		width:'150'
	},
	{
		label: '客户编码',
		prop: 'cusCode',
		tooltip: true,
		width:'120'
	},
	{
		label: '客户名称',
		prop: 'cusName',
		tooltip: true,
		width:'150'
	},
	{
		label: '所属部门',
		prop: 'o_OrganName',
		tooltip: true
	},
	{
		label: '项目类型',
		prop: 'email',
		tooltip: true
	},
	{
		label: '项目阶段',
		prop: 'phase',
		tooltip: true
	},
	{
		label: '项目负责人',
		prop: 'P_PersonName',
		tooltip: true,
		width:'120'
	},
	{
		label: '计划开始时间',
		prop: 'beginDate',
		tooltip: true,
		width:'120'
	},
	{
		label: '计划结束时间',
		prop: 'endDate',
		tooltip: true,
		width:'120'
	},

]
// 详情页面结构JSON
const formRow = [{
		elCol: [{
				label: '选择人员',
				prop: 'archivesNo',
				tag: 'elInput',
			},
			{
				label: '登录账号',
				prop: 'villageId',
				tag: 'elInput',
			},
		]
	},{
		elCol: [{
				label: '密码',
				prop: 'archivesNo',
				tag: 'elInput',
				show:false
			},
			{
				label: '登录账号',
				prop: 'villageId',
				tag: 'elInput',
			},
		]
	},
]
const roleOptions = [{
		label: '超级管理员',
		value: 1
	},
	{
		label: '业务员',
		value: 2
	},
	{
		label: '管理员',
		value: 3
	},
	{
		label: '开发成员',
		value: 4
	},
	{
		label: '项目经理',
		value: 5
	},
	{
		label: '实施人员',
		value: 6
	},
	{
		label: '财务',
		value: 7
	},
	{
		label: '总经理',
		value: 8
	},
	{
		label: '副总',
		value: 9
	}
]
const rules = {
	villageId: [{
		required: true,
		message: '请选择村/社区名称',
		trigger: 'change'
	}],
	registerTime: [{
		required: true,
		message: '请选择登记时间',
		trigger: 'change'
	}],
};
// 详情显示图片配置
const showImgJson = {
	span: 24,
	text: '现场照片',
	field: 'photoUrls',

};
export default {
	searchModelJson,
	fucDataJson,
	tableColumnJson,
	showImgJson,
	formRow,
	rules
}
