const formRow = [
    {
        elCol: [
            {
                type: "input",
                title: "插件名称",
                id: "pluginName",
                row: 24,
                disabled: false,
                required: true,
                fontSize: 16
            },
        ],
    },
    {
        elCol: [
            {
                type: "input",
                title: "插件编号",
                id: "pluginCode",
                row: 24,
                disabled: false,
                required: true,
                fontSize: 16
            },
        ],
    },
    {
        elCol: [
            {
                type: "input",
                title: "插件版本",
                id: "pluginVersion",
                row: 24,
                disabled: false,
                required: true,
                fontSize: 16
            },
        ],
    },
    {
        elCol: [
            {
                type: "datepick",
                title: "发布日期",
                id: "releaseDate",
                row: 24,
                disabled: false,
                required: true,
                fontSize: 16
            },
        ],
    },
    {
        elCol: [
            {
                type: "textrea",
                title: "描述",
                id: "pluginRemark",
                row: 24,
                disabled: false,
                required: false,
                fontSize: 16,
            },
        ],
    },
    {
        elCol: [
            {
                type: "radio",
                title: "是否启用",
                id: "pluginStatus",
                row: 24,
                disabled: false,
                required: true,
                fontSize: 16,
                options: [
                    {
                        label: "启用",
                        id: "1"
                    },
                    {
                        label: "停用",
                        id: "2"
                    }
                ]
            },
        ],
    },
]

const tableColumn = [
    {
        id: "pluginName",
        title: "插件名称",
    },
    {
        id: "pluginCode",
        title: "插件编号",
    },
    {
        id: "pluginVersion",
        title: "插件版本",
    },
    {
        id: "pluginRemark",
        title: "描述",
        tooltip: true,
        width: 150,
    },
    {
        id: "releaseDate",
        title: "发布日期",
        tooltip: true,
        width: 150,
    },
    {
        id: "modify_time",
        title: "更新日期",
        tooltip: true,
    }
]
const configData = {
    formRow,
    tableColumn
}
export default configData
