// 基本信息
const topFormRow = [
  {
    elCol: [
      {
        label: "合同编号",
        prop: "contractCode",
        tag: "elInput",
        placeholder: "自动生成",
        disabled: true,
      },
      {
        label: "合同类型",
        prop: "conTypeName",
        tag: "elInput",
        disabled: true,
      },
      {
        label: "经办人",
        prop: "createPersonName",
        tag: "elInput",
        placeholder: "当前登录人",
        disabled: true,
      },
      {
        label: "经办日期",
        prop: "createDate",
        tag: "elDatePicker",
        placeholder: "默认当前可选择修改",
      },
    ],
  },
  {
    elCol: [
      {
        label: "合同名称",
        prop: "conName",
        tag: "elInput",
        span: 12,
      },
      {
        label: "部门",
        prop: "organName",
        tag: "elDialog",
        tooltip: true,
        placeholder: "默认当前登录人",
        elDialogHoverType: false,
      },
      {
        label: "业务员",
        prop: "p_PersonName",
        tag: "elDialog",
        placeholder: "默认当前登录人",
        elDialogHoverType: false,
      },
    ],
  },
  {
    elCol: [
      {
        label: "合同版本号",
        prop: "versionNo",
        tag: "elInput",
      },
      {
        label: "所属项目",
        prop: "projectName",
        tag: "elDialog",
        placeholder: "选择项目(客户过滤)",
        elDialogHoverType: false,
      },
      {
        label: "客户名称",
        prop: "cusName",
        tag: "elDialog",
        placeholder: "选择客户",
        other: {
          color: "#4C9CFF",
          isClick: true,
        },
      },
      {
        label: "客户联系人",
        prop: "customerContact",
        tag: "elInput",
        placeholder: "选客户自动加载可修改",
        rulesName: "decimal",
      },
    ],
  },
  {
    elCol: [
      {
        label: "客户联系电话",
        prop: "customerPhone",
        tag: "elInput",
        placeholder: "选客户自动加载可修改",
      },
      {
        label: "签订日期",
        prop: "singleDay",
        tag: "elDatePicker",
        placeholder: "请点击选择",
      },
      {
        label: "有效期(起)",
        prop: "beginDay",
        tag: "elDatePicker",
        placeholder: "请点击选择",
      },
      {
        label: "有效期(止)",
        prop: "endDay",
        tag: "elDatePicker",
        placeholder: "请点击选择",
      },
    ],
  },
  {
    elCol: [
      {
        label: "对外签订单位",
        prop: "companyName",
        tag: "elDialog",
        elDialogHoverType: false,
      },
      {
        label: "对外合同编号",
        prop: "externalConNum",
        tag: "elInput",
      },
      {
        label: "发票类型",
        prop: "invoiceTypeName",
        tag: "elSelect",
        options: [],
      },
    ],
  },
  {
    elCol: [
      {
        label: "合同原币金额",
        prop: "oriTaxMoney",
        tag: "elInput",
        rules: true,
        rulesName: "decimal",
        disabled: true,
        placeholder: "自动计算",
      },
      {
        label: "合同本币金额",
        prop: "taxMoney",
        tag: "elInput",
        rules: true,
        rulesName: "decimal",
        disabled: true,
        placeholder: "自动计算",
      },
      {
        label: "币种",
        prop: "currencyName",
        tag: "elSelect",
        options: [],
      },
      {
        label: "汇率",
        prop: "exchangeRate",
        tag: "elInput",
        rules: true,
        rulesName: "decimal",
      },
    ],
  },
  {
    elCol: [
      {
        label: "备注",
        prop: "remark",
        tag: "elInput",
        span: 24,
        type: "textarea",
      },
    ],
  },
];
// const topFormRow = [
//   {
//     elCol: [
//       {
//         label: "合同编号:",
//         prop: "contractCode",
//       },
//       {
//         label: "合同版本:",
//         prop: "versionNo",
//       },
//       {
//         label: "合同类型:",
//         prop: "conTypeName",
//       },
//       {
//         label: "合同名称:",
//         prop: "conName",
//       },
//     ],
//   },
//   {
//     elCol: [
//       {
//         label: "所属项目:",
//         prop: "projectName",
//       },
//       {
//         label: "所属部门:",
//         prop: "organName",
//       },
//       {
//         label: "所属业务员:",
//         prop: "p_PersonName",
//       },
//       {
//         label: "对外签订单位:",
//         prop: "companyName",
//       },
//     ],
//   },
//   {
//     elCol: [
//       {
//         label: "客户名称:",
//         prop: "cusName",
//         other: {
//           color: "#4C9CFF",
//           isClick: true,
//         },
//       },
//       {
//         label: "对外合同号:",
//         prop: "externalConNum",
//       },
//       {
//         label: "关联合同号:",
//         prop: "correlationContractCode",
//       },
//       {
//         label: "供方单位:",
//         prop: "venName",
//         other: {
//           color: "#4C9CFF",
//           isClick: true,
//         },
//       },
//     ],
//   },
//   {
//     elCol: [
//       {
//         label: "供方金额:",
//         prop: "vendorMoney",
//       },
//       {
//         label: "发票类型:",
//         prop: "invoiceTypeName",
//       },
//       {
//         label: "本币金额:",
//         prop: "taxMoney",
//       },
//       {
//         label: "原币金额:",
//         prop: "oriTaxMoney",
//       },
//     ],
//   },
//   {
//     elCol: [
//       {
//         label: "币种:",
//         prop: "currencyName",
//       },
//       {
//         label: "汇率:",
//         prop: "exchangeRate",
//       },
//     ],
//   },
//   {
//     elCol: [
//       {
//         label: "签订事件:",
//         prop: "singleDay",
//       },
//       {
//         label: "生效时间:",
//         prop: "beginDay",
//       },
//       {
//         label: "结束时间:",
//         prop: "endDay",
//       },
//     ],
//   },
// ];
// 关联合同
const relatedContract = [
  {
    elCol: [
      {
        label: "合同号",
        prop: "correlationContractCode",
        tag: "elInput",
        rules: true,
      },
      {
        label: "供方单位",
        prop: "venName",
        tag: "elDialog",
        other: {
          color: "#4C9CFF",
          isClick: true,
        },
      },
      {
        label: "供方合同金额",
        prop: "vendorMoney",
        tag: "elInput",
        rulesName: "decimal",
      },
    ],
  },
];
// 保证金、质保金
const secondFormRow = [
  {
    elCol: [
      {
        label: "保证金原币:",
        prop: "oriTaxEarnestMoney",
      },
      {
        label: "保证金本币:",
        prop: "taxEarnestMoney",
      },
    ],
  },
  {
    elCol: [
      {
        label: "质保金原币:",
        prop: "oriTaxRetentionMoney",
      },
      {
        label: "质保金本币:",
        prop: "taxRetentionMoney",
      },
      {
        label: "质保开始时间:",
        prop: "retentionStartDate",
      },
      {
        label: "质保结束时间:",
        prop: "retentionEndDate",
      },
    ],
  },
  {
    elCol: [
      {
        label: "变更原因:",
        prop: "changeContent",
      },
    ],
  },
];
// 合同明细
const contractDetails = [
  {
    elCol: [
      {
        label: "设备名称:",
        prop: "invName",
      },
      {
        label: "计量单位:",
        prop: "unit",
      },
    ],
  },
  {
    elCol: [
      {
        label: "设备编码:",
        prop: "cEQCode",
      },
      {
        label: "数量:",
        prop: "quantity",
      },
    ],
  },
  {
    elCol: [
      {
        label: "存货编码:",
        prop: "invCode",
      },
      {
        label: "单价:",
        prop: "unitPrice",
      },
    ],
  },
  {
    elCol: [
      {
        label: "是否新产品:",
        prop: "isNewProduct",
      },
      {
        label: "金额:",
        prop: "money",
      },
    ],
  },
  {
    elCol: [
      {
        label: "规格:",
        prop: "invStd",
      },
      {
        label: "税率:",
        prop: "tax",
      },
    ],
  },
];
// 合同阶段
const contractStage = [
  {
    elCol: [
      {
        label: "阶段名称:",
        prop: "phaseName",
      },
    ],
  },
  {
    elCol: [
      {
        label: "执行内容:",
        prop: "phaseContent",
      },
    ],
  },
  {
    elCol: [
      {
        label: "预警天数:",
        prop: "warininDays",
      },
    ],
  },
  {
    elCol: [
      {
        label: "预计执行日期:",
        prop: "planDate",
      },
    ],
  },
  {
    elCol: [
      {
        label: "执行数量:",
        prop: "execAmount",
      },
    ],
  },
  {
    elCol: [
      {
        label: "执行金额:",
        prop: "execMoney",
      },
    ],
  },
  {
    elCol: [
      {
        label: "预计执行:",
        prop: "planDate",
        slotName: "planDate",
      },
    ],
  },
];
// 客户名称弹窗-基本信息
const essentialInformation = [
  {
    elCol: [
      {
        label: "客户编号:",
        prop: "cusCode",
      },
      {
        label: "客户名称:",
        prop: "cusName",
      },
      {
        label: "客户简称:",
        prop: "cusShortName",
      },
    ],
  },
  {
    elCol: [
      {
        label: "客户分类:",
        prop: "cusClassify",
      },
      {
        label: "分管部门:",
        prop: "organID",
      },
      {
        label: "法人:",
        prop: "legalPerson",
      },
    ],
  },
  {
    elCol: [
      {
        label: "税号:",
        prop: "taxNumber",
      },
      {
        label: "电话:",
        prop: "telphone",
      },
      {
        label: "地址:",
        prop: "address",
      },
    ],
  },
];
// 客户名称弹窗-明细
const tableColumn = [
  {
    label: "姓名",
    prop: "linkName",
  },
  {
    label: "手机号",
    prop: "mobile",
  },
  {
    label: "电话",
    prop: "telphone",
  },
  {
    label: "Email",
    prop: "email",
  },
  {
    label: "职务",
    prop: "duty",
  },
  {
    label: "是否默认",
    prop: "isdefault",
  },
];
// 客户名称-附件
const appendix = [
  {
    label: "文件名",
    prop: "sa_ShowName",
  },
  {
    label: "上传人",
    prop: "p_PersonName",
  },
  {
    label: "上传时间",
    prop: "sa_UploadDateTime",
  },
  {
    label: "文件大小",
    prop: "sa_AttachmentSize",
  },
];
// 供方单位-基本信息
const unitDetails = [
  {
    elCol: [
      {
        label: "供应商编码:",
        prop: "venCode",
      },
      {
        label: "供应商名称:",
        prop: "venName",
      },
      {
        label: "供应商简称:",
        prop: "venShortName",
      },
    ],
  },
  {
    elCol: [
      {
        label: "助记码:",
        prop: "zujm",
      },
      {
        label: "客户分类:",
        prop: "venClassify",
      },
      {
        label: "分管部门:",
        prop: "organID",
      },
    ],
  },
  {
    elCol: [
      {
        label: "法人:",
        prop: "legalPerson",
      },
      {
        label: "税号:",
        prop: "taxNumber",
      },
      {
        label: "电话:",
        prop: "telphone",
      },
    ],
  },
  {
    elCol: [
      {
        label: "地址:",
        prop: "address",
      },
    ],
  },
];
const stageTableData = [
  {
    phaseContent: "U8下销售订单完毕11111",
    phaseID: "731fc416-62bf-4535-8a36-8bc0c8c424f4",
    phaseName: "下销售订单1111",
    detail_ID: "7d2388b1-dba4-4a0a-b25a-8f4461ba85af",
    detail_createDate: "2022-08-22T13:41:38.8",
    detail_updateDate: "2022-08-22T18:29:37.923",
    execAmount: 11,
    execMoney: 100,
    isOver: null,
    mainID: "f10764e7-2264-4602-88b4-12c2177ec929",
    planDate: "2022-09-01T00:00:00",
    rowIndex: 1,
    warininDays: 1,
  },
  {
    phaseContent: "333",
    phaseID: "a056c988-322c-418f-97e1-bb19ab3f6eda",
    phaseName: "安装",
    detail_ID: "97416fc1-1850-4c2b-bcc4-652ce4021ace",
    detail_createDate: "2022-08-22T13:41:38.81",
    detail_updateDate: "2022-08-22T18:29:37.937",
    execAmount: 222,
    execMoney: 200,
    isOver: null,
    mainID: "f10764e7-2264-4602-88b4-12c2177ec929",
    planDate: "2022-09-10T00:00:00",
    rowIndex: 2,
    warininDays: 2,
  },
];
const detailedTableData = [
  {
    invStd: null,
    unitPrice: 1,
    cEQCode: null,
    detail_ID: "6be73e34-b461-4aba-ae1c-6389aa10d987",
    detail_Remark: null,
    detail_createDate: "2022-08-22T13:41:37.39",
    detail_updateDate: "2022-08-22T18:29:37.907",
    invCode: "101002002",
    invName: "超级氨基硅油KF-5106",
    isCustomMade: 1,
    isNewProduct: 1,
    mainID: "f10764e7-2264-4602-88b4-12c2177ec929",
    nUnitMoney: 0,
    nUnitPeice: 0,
    quantity: 12,
    rowIndex: 1,
    tax: 0.13,
    taxMoney: 0,
    unit: 102,
    unitMoney: 1500,
  },
];
const detailedTableColumn = [
  // {
  // 	label: '序号',
  // 	prop: 'index',
  // 	tooltip: true,
  // 	width: '100'
  // },
  {
    label: "是否新产品",
    prop: "newProduct",
    tooltip: true,
    width: "150",
  },
  // {
  // 	label: '是否定制机',
  // 	prop: 'customizedMachine',
  // 	tooltip: true,
  // 	width: '120'
  // },
  {
    label: "存货编码",
    prop: "invCode",
    tooltip: true,
    width: "150",
  },
  {
    label: "设备名称",
    prop: "equipmentName",
    tooltip: true,
  },
  {
    label: "设备编码",
    prop: "invName",
    tooltip: true,
    width: "120",
  },
  {
    label: "规格",
    prop: "specification",
    tooltip: true,
  },
  {
    label: "计量单位",
    prop: "unitName",
    tooltip: true,
  },
  {
    label: "数量",
    prop: "quantity",
    tooltip: true,
    width: "120",
  },
  {
    label: "单价",
    prop: "unitPrice",
    tooltip: true,
    width: "120",
  },
  {
    label: "金额",
    prop: "unitMoney",
    tooltip: true,
    width: "120",
  },
  {
    label: "税率",
    prop: "taxRate",
    tooltip: true,
    width: "120",
  },
  {
    label: "税额",
    prop: "tax",
    tooltip: true,
    width: "120",
  },
  {
    label: "无税单价",
    prop: "nUnitPeice",
    tooltip: true,
    width: "120",
  },
  {
    label: "无税金额",
    prop: "nUnitMoney",
    tooltip: true,
    width: "120",
  },
  {
    label: "备注",
    prop: "invStd",
    tooltip: true,
    width: "120",
  },
];
const topRuleForm = {
  beginDay: "2022-04-12",
  billid: "f10764e7-2264-4602-88b4-12c2177ec929",
  companyID: "22",
  companyName: "销售部",
  conName: "测试",
  conType: 110,
  conTypeName: "试用合同",
  contractCode: "HT-202204110001",
  correlationContractCode: "1001",
  createDate: "2022-04-11T16:06:09.853",
  createPersonID: "6",
  currency: 96,
  cusName: "佛山伍友化工有限公司",
  customerCode: "00201385",
  endDay: "2022-04-30",
  exchangeRate: 1,
  exchangeRateName: null,
  externalConNum: "LZ0011",
  invoiceType: 91,
  isdelete: null,
  orgainName: "生产部",
  organID: "11",
  oriTaxEarnestMoney: 101,
  oriTaxMoney: 1000,
  oriTaxRetentionMoney: 103,
  projectCode: "XM0001",
  projectName: "LZ测试",
  remark: "123123",
  retentionEndDate: "2022-04-30",
  retentionStartDate: "2022-04-11",
  salesman: "1137",
  singleDay: "2022-04-11",
  taxEarnestMoney: 102,
  taxMoney: 100,
  taxRetentionMoney: 104,
  updateDate: "2022-08-31T15:15:39.29",
  updatePersonID: "6",
  venName: "北京三川凯明工贸有限公司",
  vendorCode: "00100003",
  vendorMoney: 1000,
  versionNo: 1,
  createDate: "2022-04-11",
  currencyName: "欧元（EUR）",
  invoiceTypeName: "普通发票",
};
const stageTableColumn = [
  // {
  // 	label: '序号',
  // 	prop: 'index',
  // 	tooltip: true,
  // 	width: '100'
  // },
  {
    label: "阶段名称",
    prop: "phaseName",
    tooltip: true,
    width: "150",
  },
  {
    label: "执行内容",
    prop: "phaseContent",
    tooltip: true,
    width: "120",
  },
  {
    label: "预警天数",
    prop: "warininDays",
    tooltip: true,
    width: "150",
  },
  {
    label: "预计执行日期",
    prop: "planDate",
    tooltip: true,
  },
  {
    label: "执行数量",
    prop: "execAmount",
    tooltip: true,
  },
  {
    label: "执行金额",
    prop: "execMoney",
    tooltip: true,
  },
];
const abc = [
  {
    id: "33",
    path: "/contractManagement",
    name:'ContractManagement',
    component: "Layout",
    meta: {
      icon: "icon-hetongguanli",
      title: "合同管理",
    },
    children: [
      {
        id: "139",
        path: "salesContract",
        name: 'SalesContract',
        component: "ParentView",
        meta: {
          icon: "",
          title: "销售合同",
        },
        children: [
          {
            id: "187",
            path: "newContract",
            name:'NewContract',
            component: "contractManagement/salesContract/newContract/index",
            meta: {
              icon: "",
              title: "合同新增",
            },
          },
          {
            id: "116",
            path: "seeContract",
            name: 'SeeContract',
            component: "contractManagement/salesContract/seeContract/index",
            meta: {
              icon: "",
              title: "合同查看",
            },
          },
          {
            id: "118",
            path: "changeContract",
            name: 'changeContract',
            component: "contractManagement/salesContract/changeContract/index",
            meta: {
              icon: "",
              title: "合同变更",
            },
          },
          {
            id: "117",
            path: "listContract",
            name: "list",
            component: "contractManagement/salesContract/listContract/index",
            meta: {
              icon: "",
              title: "合同清单",
            },
          },
        ],
      },
      {
        id: "140",
        path: "",
        component: "",
        meta: {
          icon: "",
          title: "采购合同",
        },
      },
    ],
  },
];
export default {
  topFormRow,
  secondFormRow,
  stageTableData,
  detailedTableData,
  topRuleForm,
  secondFormRow,
  detailedTableColumn,
  stageTableColumn,
  contractDetails,
  contractStage,
  essentialInformation,
  tableColumn,
  appendix,
  unitDetails,
  relatedContract,
};
