
// 页面操作按钮配置
const fucDataJson = [{
  name: '导出',
  type: 'danger',
  icon: 'el-icon-position'
},

]
// 表头配置
const personColumn = [
  {
    label: '所属部门',
    prop: 'organName',
    tooltip: true,
  },
  {
    label: '工号',
    prop: 'personCode',
    tooltip: true,
    // other: {
    // 	color: '#4C9CFF',
    // 	isClick: true
    // }
  },
  {
    label: '姓名',
    prop: 'personName',
    tooltip: true,
  },
  {
    label: '入职时间',
    prop: 'entryTime',
    tooltip: true,
  },
  // {
  // 	label: '离职时间',
  // 	prop: 'number',
  // 	tooltip: true
  // },
  // {
  // 	label: '性别',
  // 	prop: 'sex',
  // 	tooltip: true
  // },
  // {
  // 	label: '学历',
  // 	prop: 'Degree',
  // 	tooltip: true,
  // },
  // {
  // 	label: '职务',
  // 	prop: 'Post',
  // 	tooltip: true,
  // },
  // {
  // 	label: '级别 ',
  // 	prop: 'illegalType',
  // 	tooltip: true,
  // },
  // {
  // 	label: '生日',
  // 	prop: 'BirthDay',
  // 	tooltip: true,
  // },
  {
    label: '固定电话 ',
    prop: 'mobilePhone',
    tooltip: true,
  },
  // {
  // 	label: '籍贯 ',
  // 	prop: 'areaCovered',
  // 	tooltip: true,
  // },
  // {
  // 	label: '身份证',
  // 	prop: 'areaBuilding',
  // 	tooltip: true,
  // },
  {
    label: '电子邮箱',
    prop: 'email',
    tooltip: true,
  },
  {
    label: '出生年月',
    prop: 'birthDay',
    tooltip: true,
  },
  {
    label: '是否用户分配',
    prop: 'state',
    tooltip: true,
    width:150,
  },
]
// 表头配置
const tableColumnJson = [
  {
    label: '用户账号',
    prop: 'loginCode',
    tooltip: true,
  },
  {
    label: '用户姓名',
    prop: 'personName',
    tooltip: true,
  },
  {
    label: '所属部门',
    prop: 'organName',
    tooltip: true,
  },
  {
    label: '手机号',
    prop: 'mobilePhone',
    tooltip: true
  },
  {
    label: '状态',
    prop: 'state',
    tooltip: true
  },

]
// 详情页面结构JSON
const formRow1 = [{
  elCol: [{
    label: '选择人员',
    prop: 'personName',
    tag: 'elDialog',
    // disabled:false
  },
    {
      label: '登录账号',
      prop: 'loginCode',
      tag: 'elInput',
      // placeholder:'自动带入',
      // disabled:true
    },
  ]
},{
  elCol: [{
    label: '描述',
    prop: 'remark',
    tag: 'elInput',
    type:'textarea',
    span:24
  },
  ]
}
]
const formRow2 = [{
  elCol: [{
    label: '用户名',
    prop: 'p_PersonName',
    tag: 'elDialog',
    // disabled:false
  },
    {
      label: '登录账号',
      prop: 'u_LoginCode',
      tag: 'elInput',
      // placeholder:'自动带入',
      // disabled:true
    },
  ]
},{
  elCol: [{
    label: '描述',
    prop: 'u_Remark',
    tag: 'elInput',
    type:'textarea',
    span:24
  },
  ]
}
]
const roleOptions = [{
  label: '超级管理员',
  value: 1
},
  {
    label: '业务员',
    value: 2
  },
  {
    label: '管理员',
    value: 3
  },
  {
    label: '开发成员',
    value: 4
  },
  {
    label: '项目经理',
    value: 5
  },
  {
    label: '实施人员',
    value: 6
  },
  {
    label: '财务',
    value: 7
  },
  {
    label: '总经理',
    value: 8
  },
  {
    label: '副总',
    value: 9
  }
]
const rules = {
  villageId: [{
    required: true,
    message: '请选择村/社区名称',
    trigger: 'change'
  }],
  registerTime: [{
    required: true,
    message: '请选择登记时间',
    trigger: 'change'
  }],
};
// 详情显示图片配置
const showImgJson = {
  span: 24,
  text: '现场照片',
  field: 'photoUrls',

};
export default {
  fucDataJson,
  tableColumnJson,
  showImgJson,
  formRow1,
  formRow2,
  rules,
  personColumn
}
